Try to compile xmbc
#1
I try to install xmbc, but I had this errors:
I use linux Ubuntu bionic aarch64.
I don't find Iso9660pp and MDNS, can you help me ?

-- CMake Version: 3.10.2
CMake Error at cmake/platform/linux/x11.cmake:14 (message):
  You need to decide whether you want to use GL- or GLES-based rendering in
  combination with the X11 windowing system.  Please set X11_RENDER_SYSTEM to
  either "gl" or "gles".  For normal desktop systems, you will usually want
  to use "gl".
Call Stack (most recent call first):
  cmake/scripts/common/Platform.cmake:28 (include)
  CMakeLists.txt:33 (include)


-- System type: Linux
-- Linker: GNU gold
-- include/linux/udmabuf.h not found
-- include/linux/dma-heap.h not found
-- Core system type: linux
-- Platform: X11
-- CPU: aarch64, ARCH: aarch64
-- Cross-Compiling: FALSE
-- Execute build artefacts on host: TRUE
-- Depends based build:
-- Could not find hardware support for SSE (missing: _SSE_TRUE _SSE_OK)
-- Could not find hardware support for SSE2 (missing: _SSE2_TRUE _SSE2_OK)
-- Could not find hardware support for SSE3 (missing: _SSE3_TRUE _SSE3_OK)
-- Could not find hardware support for SSSE3 (missing: _SSSE3_TRUE _SSSE3_OK)
-- Could not find hardware support for SSE4.1 (missing: _SSE41_TRUE _SSE41_OK)
-- Could not find hardware support for SSE4.2 (missing: _SSE42_TRUE _SSE42_OK)
-- Could not find hardware support for AVX (missing: _AVX_TRUE _AVX_OK)
-- Could not find hardware support for AVX2 (missing: _AVX2_TRUE _AVX2_OK)
-- NEON optimization enabled
-- Could NOT find Iso9660pp (missing: ISO9660PP_LIBRARY ISO9660PP_INCLUDE_DIR)
-- Could NOT find MDNS (missing: MDNS_LIBRARY)
-- FFmpeg 4.2 not found, falling back to internal build
-- DEB Generator: kodi-eventclients-common matches kodi-eventclients, skipping.
-- DEB Generator: kodi-eventclients-dev matches kodi-eventclients, skipping.
-- DEB Generator: kodi-eventclients-kodi-send matches kodi-eventclients, skipping.
-- DEB Generator: kodi-eventclients-ps3 matches kodi-eventclients, skipping.
-- DEB Generator: kodi-eventclients-wiiremote matches kodi-eventclients, skipping.
-- DEB Generator: Mandatory variable CPACK_DEBIAN_KODI-BIN_PACKAGE_ARCHITECTURE is empty. Setting to aarch64.
-- DEB Generator: Mandatory variable CPACK_DEBIAN_KODI-TOOLS-TEXTUREPACKER_PACKAGE_ARCHITECTURE is empty. Setting to aarch64.
-- #---- CONFIGURATION ----#
-- Platform: X11
-- -- PATH config --
-- Prefix: /usr
-- Libdir: /usr/lib/aarch64-linux-gnu
-- Bindir: /usr/bin
-- Includedir: /usr/include
-- Datarootdir: /usr/share
-- Datadir: /usr/share
-- Docdir: /usr/share/doc/kodi
-- ALSA enabled: Yes
-- AVAHI enabled: Yes
-- BLUETOOTH enabled: Yes
-- BLURAY enabled: Yes
-- CAP enabled: Yes
-- CCACHE enabled: Yes
-- CEC enabled: Yes
-- CLANGFORMAT enabled: Yes
-- DAV1D enabled: Yes
-- DBUS enabled: Yes
-- ISO9660PP enabled: No
-- LCMS2 enabled: Yes
-- LIRCCLIENT enabled: Yes
-- MDNS enabled: No
-- MICROHTTPD enabled: Yes
-- NFS enabled: Yes
-- PLIST enabled: Yes
-- PULSEAUDIO enabled: Yes
-- PYTHON enabled: Yes
-- SMBCLIENT enabled: Yes
-- SNDIO enabled: Yes
-- UDEV enabled: Yes
-- UDFREAD enabled: Yes
-- XSLT enabled: Yes
-- VAAPI enabled: Yes
-- MARIADBCLIENT enabled: Yes
-- Configuring incomplete, errors occurred!
Reply
#2
Thread moved to Linux as it isn't a feature request
|Banned add-ons (wiki) Forum rules (wiki)|VPN policy (wiki)|First time user (wiki)|FAQs (wiki) Troubleshooting (wiki)|Add-ons (wiki)|Free content (wiki)|Debug Log (wiki)|

My Blog Posts
Reply
#3
apparently it impacts the new code, because the version of 9Janv 2019 works Smile
Reply
#4
(2020-05-15, 09:17)DarrenHill Wrote: Thread moved to Linux as it isn't a feature request

Thanks you darrenhill Smile. I did not know where to place myself.
Reply
#5
please read the cmake output carefully:
CMake Error at cmake/platform/linux/x11.cmake:14 (message):
  You need to decide whether you want to use GL- or GLES-based rendering in
  combination with the X11 windowing system.  Please set X11_RENDER_SYSTEM to
  either "gl" or "gles".  For normal desktop systems, you will usually want
  to use "gl".
Reply
#6
@ronron78 - means that your cmake config line needs to include -DX11_RENDER_SYSTEM=gl

eg, I use cmake ../xbmc -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release -DX11_RENDER_SYSTEM=gl -DENABLE_MARIADBCLIENT=ON -DENABLE_INTERNAL_DAV1D=ON to configure.  That configures the build so that Kodi will be installed into the same paths that the PPA would install it to.

The missing things are not as important (and will not stop you from compiling Kodi) unless you need them specifically, in which case you will need to install the development libraries for them.
Learning Linux the hard way !!
Reply
 
Thread Rating:
  • 0 Vote(s) - 0 Average



Logout Mark Read Team Forum Stats Members Help
Try to compile xmbc00
This forum uses Lukasz Tkacz MyBB addons.